# FTBufferGlyph Class Reference

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering. More...

`#include <FTBufferGlyph.h>`

Inheritance diagram for FTBufferGlyph:

## Public Member Functions
| FTBufferGlyph (FT_GlyphSlot glyph, FTBuffer *buffer)
| Constructor.
virtual | ~FTBufferGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.

## Detailed Description

FTBufferGlyph is a specialisation of FTGlyph for memory buffer rendering.

Definition at line 40 of file FTBufferGlyph.h.

## Constructor & Destructor Documentation

FTBufferGlyph::FTBufferGlyph | ( | FT_GlyphSlot | glyph,
|  | FTBuffer * | buffer |
| ) |  |  |

Constructor.

Parameters:

  | glyph | The Freetype glyph to be processed
  | buffer | An FTBuffer object in which to render the glyph.

virtual FTBufferGlyph::~FTBufferGlyph | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const FTPoint& FTBufferGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode |
| ) |  |  | `[virtual]`

Render this glyph at the current pen position.

Parameters:

  | pen | The current pen position.
  | renderMode | Render mode to display

Returns:
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTBufferGlyph.h